View Issue Details

IDProjectCategoryView StatusLast Update
0021681mantisbtuipublic2016-10-03 10:39
ReporterdregadAssigned Todregad 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.3Fixed in Version2.0.0-beta.3 
Summary0021681: Breadcrumbs bar does not respect $g_show_realname
Description

When $g_show_realname = ON, the Breadcrumbs bar still shows the user's username instead of their real name (see attached screenshot, it should display 'Test Administrator')

Tagsmodern-ui

Relationships

has duplicate 0021606 closedatrol Missing real name in login information 
related to 0021736 closedatrol Display real name in breadcrumb div 

Activities

dregad

dregad

2016-09-10 04:37

developer  

breadcrumb_username.png (2,304 bytes)
breadcrumb_username.png (2,304 bytes)
atrol

atrol

2016-09-10 05:08

developer   ~0053990

I am wondering if we should remove the display of this information at this place to avoid redundant display.
Parts of this information are shown in the right upper corner of the page where we see the gravatar and the user name. Adding real name and access level might be an option.

We could gain some vertical space if it's removed and the remaining UI elements (Recently Visited, Issue ID jump box) are placed in navbar.

dregad

dregad

2016-09-10 08:42

developer   ~0053992

I am wondering if we should remove the display of this information at this
place to avoid redundant display.

I thought about this too.

Parts of this information are shown in the right upper corner of the page where we see the gravatar and the user name.

The gravatar+username div on the top right is fixed-size, resulting in truncated text if the name is longer (e.g. 'Long Userna...')

So that would require more complex layout changes.

I fixed this one for now, feel free to open a separate issue to track your suggestions.

atrol

atrol

2016-09-12 15:57

developer   ~0054012

feel free to open a separate issue to track your suggestions

Opened 0021690 for it.

Related Changesets

MantisBT: master 7f63ed5a

2016-09-10 04:40:02

dregad

Details Diff
Show realname in breadcrumbs if $g_show_realname = ON

Prior to this, the username would always be displayed, regardless of
$g_show_realname setting.

Fixes 0021681
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2016-09-10 04:37 dregad New Issue
2016-09-10 04:37 dregad Status new => assigned
2016-09-10 04:37 dregad Assigned To => dregad
2016-09-10 04:37 dregad File Added: breadcrumb_username.png
2016-09-10 04:52 atrol Relationship added has duplicate 0021606
2016-09-10 04:53 atrol Tag Attached: modern-ui
2016-09-10 05:08 atrol Note Added: 0053990
2016-09-10 08:37 dregad Changeset attached => MantisBT master 7f63ed5a
2016-09-10 08:37 dregad Status assigned => resolved
2016-09-10 08:37 dregad Resolution open => fixed
2016-09-10 08:37 dregad Fixed in Version => 2.0.0-beta.3
2016-09-10 08:42 dregad Note Added: 0053992
2016-09-12 15:57 atrol Note Added: 0054012
2016-10-02 18:41 vboctor Status resolved => closed
2016-10-03 10:39 atrol Relationship added related to 0021736